html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.customnavbar {
    --bs-navbar-padding-y: 0.01rem;
    --bs-navbar-toggler-padding-y: 0.01rem;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    font-size: 16px;
    line-height: 1.6;
    font-weight: 400;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
}

.getstartedbtn {
    background-color: #FCF55F;
    color: #000;
    border: solid 2px #000;
}

:hover.getstartedbtn {
    background-color: #000;
    color: #FCF55F;
    border: solid 2px #000;
}

.sharepointer {
    font-size: 1.2rem !important;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
}

.commentfont {
    font-size: 1.2rem !important;
    font-weight: normal;
}
.commentleftalign {
    float: left;
    vertical-align: top;
}
.commentrightalign {
    float: right;
    padding-top: 5px;
}

.f08r05vw {
    font-size: calc(0.8rem + 0.5vw) !important;
    line-height: 130%;
}

.f06r05vw {
    font-size: calc(0.6rem + 0.5vw) !important;
    line-height: 130%;
}

.f08r03vw {
    font-size: calc(0.8rem + 0.3vw) !important;
    line-height: 130%;
}

.f07r02vw {
    font-size: calc(0.7rem + 0.2vw) !important;
    line-height: 150%;
}

.f07r05vw {
    font-size: calc(0.7rem + 0.5vw) !important;
    line-height: 130%;
}

.f11r05vw {
    font-size: calc(1.1rem + 0.5vw) !important;
    line-height: 150%;
}

.alignrighttop {
    float: right;
    vertical-align: top;
}

.verticaldots {
    font-size: 1.3rem !important;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
}

.norecordtext {
    font-size: 7.2rem !important;
    font-weight: bold;
}

.ads-sticky-top {
    top: 3.15em !important;
}

.tooltip {
    font-size: 0.8rem;
    font-weight: bold;
}

.form-control {
    background-color: #fff !important;
    color: #333 !important;
}

.form-select {
    background-color: #fff !important;
    color: #333 !important;
}

.form-floating > input {
    color: #000 !important;
}

.form-select {
    color: #495057 !important;
}

.text-wrap {
    white-space: normal !important;
    overflow-wrap: break-word !important;
}

/*** Google Login button (start) ***/
.login-with-google-btn {
    text-decoration: none;
    transition: background-color .3s, box-shadow .3s;
    padding: 12px 16px 12px 42px;
    border: 1px solid #212529;
    border-radius: 3px;
    box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 1px 1px rgba(0, 0, 0, .25);
    color: #757575;
    font-size: 14px;
    font-weight: 500;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen,Ubuntu,Cantarell,"Fira Sans","Droid Sans","Helvetica Neue",sans-serif;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGcgZmlsbD0ibm9uZSIgZmlsbC1ydWxlPSJldmVub2RkIj48cGF0aCBkPSJNMTcuNiA5LjJsLS4xLTEuOEg5djMuNGg0LjhDMTMuNiAxMiAxMyAxMyAxMiAxMy42djIuMmgzYTguOCA4LjggMCAwIDAgMi42LTYuNnoiIGZpbGw9IiM0Mjg1RjQiIGZpbGwtcnVsZT0ibm9uemVybyIvPjxwYXRoIGQ9Ik05IDE4YzIuNCAwIDQuNS0uOCA2LTIuMmwtMy0yLjJhNS40IDUuNCAwIDAgMS04LTIuOUgxVjEzYTkgOSAwIDAgMCA4IDV6IiBmaWxsPSIjMzRBODUzIiBmaWxsLXJ1bGU9Im5vbnplcm8iLz48cGF0aCBkPSJNNCAxMC43YTUuNCA1LjQgMCAwIDEgMC0zLjRWNUgxYTkgOSAwIDAgMCAwIDhsMy0yLjN6IiBmaWxsPSIjRkJCQzA1IiBmaWxsLXJ1bGU9Im5vbnplcm8iLz48cGF0aCBkPSJNOSAzLjZjMS4zIDAgMi41LjQgMy40IDEuM0wxNSAyLjNBOSA5IDAgMCAwIDEgNWwzIDIuNGE1LjQgNS40IDAgMCAxIDUtMy43eiIgZmlsbD0iI0VBNDMzNSIgZmlsbC1ydWxlPSJub256ZXJvIi8+PHBhdGggZD0iTTAgMGgxOHYxOEgweiIvPjwvZz48L3N2Zz4=);
    background-color: white;
    background-repeat: no-repeat;
    background-position: 12px 11px;
}

    .login-with-google-btn:hover {
        background-color: yellow;
        color: #000;
        box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 2px 4px rgba(0, 0, 0, .25);
    }

    .login-with-google-btn:active {
        background-color: yellow;
        color: #000;
        /*background-color: #eeeeee;*/
    }

    .login-with-google-btn:focus {
        outline: none;
        box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 2px 4px rgba(0, 0, 0, .25), 0 0 0 3px #c8dafc;
    }
/*** Google Login button (ends) ***/

/***Login button (starts) **/
.login-with-email-btn {
    text-decoration: none;
    transition: background-color .3s, box-shadow .3s;
    padding: 8px 16px 7px 16px;
    border: 1px solid #212529;
    border-radius: 3px;
    box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 1px 1px rgba(0, 0, 0, .25);
    color: #757575;
    font-size: 14px;
    font-weight: 500;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen,Ubuntu,Cantarell,"Fira Sans","Droid Sans","Helvetica Neue",sans-serif;
    /*background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGcgZmlsbD0ibm9uZSIgZmlsbC1ydWxlPSJldmVub2RkIj48cGF0aCBkPSJNMTcuNiA5LjJsLS4xLTEuOEg5djMuNGg0LjhDMTMuNiAxMiAxMyAxMyAxMiAxMy42djIuMmgzYTguOCA4LjggMCAwIDAgMi42LTYuNnoiIGZpbGw9IiM0Mjg1RjQiIGZpbGwtcnVsZT0ibm9uemVybyIvPjxwYXRoIGQ9Ik05IDE4YzIuNCAwIDQuNS0uOCA2LTIuMmwtMy0yLjJhNS40IDUuNCAwIDAgMS04LTIuOUgxVjEzYTkgOSAwIDAgMCA4IDV6IiBmaWxsPSIjMzRBODUzIiBmaWxsLXJ1bGU9Im5vbnplcm8iLz48cGF0aCBkPSJNNCAxMC43YTUuNCA1LjQgMCAwIDEgMC0zLjRWNUgxYTkgOSAwIDAgMCAwIDhsMy0yLjN6IiBmaWxsPSIjRkJCQzA1IiBmaWxsLXJ1bGU9Im5vbnplcm8iLz48cGF0aCBkPSJNOSAzLjZjMS4zIDAgMi41LjQgMy40IDEuM0wxNSAyLjNBOSA5IDAgMCAwIDEgNWwzIDIuNGE1LjQgNS40IDAgMCAxIDUtMy43eiIgZmlsbD0iI0VBNDMzNSIgZmlsbC1ydWxlPSJub256ZXJvIi8+PHBhdGggZD0iTTAgMGgxOHYxOEgweiIvPjwvZz48L3N2Zz4=);*/
    background-color: white;
    background-repeat: no-repeat;
    background-position: 12px 11px;
}

    .login-with-email-btn:hover {
        text-decoration: none;
        background-color: yellow;
        color: #000;
        box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 2px 4px rgba(0, 0, 0, .25);
    }

    .login-with-email-btn:active {
        text-decoration: none;
        background-color: yellow;
        color: #000;
        /*background-color: #eeeeee;*/
    }

    .login-with-email-btn:focus {
        text-decoration: none;
        outline: none;
        box-shadow: 0 -1px 0 rgba(0, 0, 0, .04), 0 2px 4px rgba(0, 0, 0, .25), 0 0 0 3px #c8dafc;
    }
/***Login button (ends) **/

.anim-btmicon {
    display: inline-block;
    transition: all 0.3s ease-in-out;
}

    .anim-btmicon:hover {
        animation: tada 1s ease;
    }

@keyframes tada {
    0% {
        transform: scale(1);
    }

    10%, 20% {
        transform: scale(0.9) rotate(-3deg);
    }

    30%, 50%, 70%, 90% {
        transform: scale(1.1) rotate(3deg);
    }

    40%, 60%, 80% {
        transform: scale(1.1) rotate(-3deg);
    }

    100% {
        transform: scale(1) rotate(0);
    }
}

/* HTML: <div class="cssloader"></div> */
.cssloader {
    font-weight: bold;
    font-family: sans-serif;
    font-size: 30px;
    animation: l1 1s linear infinite alternate;
}

    .cssloader:before {
        content: "Please wait..."
    }

@keyframes l1 {
    to {
        opacity: 0
    }
}

/* HTML: <div class="cssloader2"></div> */
.cssloader2 {
    --ldrcolor: var(--my-iconclr);
    --c: no-repeat linear-gradient(var(--ldrcolor) 0 0);
    background: var(--c),var(--c),var(--c), var(--c),var(--c),var(--c), var(--c),var(--c),var(--c);
    background-size: 16px 16px;
    width: 100%;
    animation: l32-1 1s infinite, l32-2 1s infinite;
}

@keyframes l32-1 {
    0%,100% {
        width: 45px;
        height: 45px
    }

    35%,65% {
        width: 65px;
        height: 65px
    }
}

@keyframes l32-2 {
    0%,40% {
        background-position: 0 0,0 50%, 0 100%,50% 100%,100% 100%,100% 50%,100% 0,50% 0, 50% 50%
    }

    60%,100% {
        background-position: 0 50%, 0 100%,50% 100%,100% 100%,100% 50%,100% 0,50% 0,0 0, 50% 50%
    }
}

.exploreLink:hover {
    background-color: var(--my-contrastbg) !important;
    color: var(--my-contrasttxt) !important;
    font-weight: bold;
}

.comment-box {
    transition: all 0.3s ease-in-out;
    min-height: 40px;
    overflow: hidden;
    resize: none;
}

.comment-actions {
    display: none;
}

/* Pill button */
.pillBtn {
    background-color: var(--my-contrastbg) !important;
    color: var(--my-contrasttxt) !important;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 16px;
    border: 1px solid gray;
}

.pillBtnFont {
    font-size: 1.0em;
    font-weight: bold;
}

.pillBtnClicked {
    background-color: var(--my-contrasttxt) !important;
    color: var(--my-contrastbg) !important;
}

.pillBtnEffect {
    background-color: var(--my-contrastbg) !important;
    color: var(--my-contrasttxt) !important;
}

    .pillBtnEffect:hover {
        background-color: var(--my-contrasttxt) !important;
        color: var(--my-contrastbg) !important;
    }

.divider {
    font-size: 16px;
    display: flex;
    align-items: center;
}

    .divider::before, .divider::after {
        flex: 1;
        content: '';
        padding: 0.25px;
        background-color: var(--my-boxtxtdl) !important;
        margin: 30px;
    }

.create-button,
.create-button:link,
.create-button:visited,
.create-button:hover,
.create-button:active {
    color: inherit; /* OR your variable: var(--my-hdrtxt) */
}

.create-button {
    padding: 0.2rem 0.2rem;
    border-radius: 0.375rem;
    text-decoration: none;
    border: 1px solid var(--my-hdrtxt);
    background-color: var(--my-contrastbg);
    color: var(--my-hdrtxt) !important;
    border-radius: 50rem; /* capsule shape */
    box-shadow: 3px 3px 0 0 var(--my-hdrtxt);
    transition: all 0.3s ease;
}

    .create-button:hover {
        padding: 0.2rem 0.2rem;
        border-radius: 0.375rem;
        text-decoration: none;
        border: 1px solid var(--my-contrastbg);
        background-color: var(--my-titlerowbg);
        color: var(--my-titlerowtext) !important;
        border-radius: 50rem; /* capsule shape */
        box-shadow: 3px 3px 0 0 var(--my-contrastbg);
        transition: all 0.3s ease;
    }

.bottom-nav-wrapper {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1030;
    background-color: var(--my-contrastbg);
    border-top: 1px solid #A9A9A9;
    display: flex;
    justify-content: center;
}

.bottom-nav {
    max-width: 580px;
    width: 100%;
    padding-top:2.50px;
    padding-bottom:5.50px;
    line-height:12px;
}

.socialfont {
    font-size: calc(0.9rem + 0.1vw);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif !important;
    font-weight: 800 !important;
    background-color: var(--my-contrastbg) !important;
    color: var(--my-iconclr) !important;
    border: 1px solid var(--my-iconclr) !important;
    border-radius: 16px;
    padding: 0px 5px;
}


/*Emoji (starts)*/
.emoji-palette {
    display: none; /* Hide the palette initially */
    flex-wrap: wrap;
    width: 300px;
    border: 1px solid #ccc;
    padding: 10px;
    background-color: #f9f9f9;
    margin-top: 10px;
    position: absolute;
    z-index: 10;
}

.emoji {
    font-size: 1.2rem;
    padding: 1px;
    cursor: pointer;
    transition: background-color 0.3s;
}

    .emoji:hover {
        background-color: #d3d3d3;
    }

#message-box {
    width: 100%;
    height: 100px;
    padding: 10px;
    font-size: 1rem;
    border: 1px solid #ccc;
    margin-top: 10px;
}

/* Emoji toggle button */
#emoji-toggle {
    font-size: 1.2rem;
    cursor: pointer;
    position: relative;
}

    /* Hover effect for the emoji */
    #emoji-toggle:hover {
        border-radius: 50%;
        padding: 3px;
        background-color: #d3d3d3;
    }

    /* Small circle effect on hover */
    #emoji-toggle:before {
        content: '';
        position: absolute;
        top: 10%;
        left: 10%;
        width: 0px;
        height: 0px;
        background-color: rgba(0, 0, 0, 0.1);
        border-radius: 10%;
        transform: translate(-10%, -10%);
        opacity: 0;
        transition: opacity 0.3s;
    }

    #emoji-toggle:hover:before {
        opacity: 1;
    }
/*Emoji (Ends)*/